eslint-plugin-i18nlint

0.0.3 • Public • Published

Build Status Coverage Status Commitizen friendly

eslint-plugin-i18nlint

A tool for helping you find and manage missing and unused translations

Installation

You'll first need to install ESLint:

$ npm i eslint --save-dev

Next, install eslint-plugin-i18nlint:

$ npm install eslint-plugin-i18nlint --save-dev

Usage

Add i18nlint to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

{
    "plugins": [
        "i18nlint"
    ]
}

Then configure the rules you want to use under the rules section.

{
    "rules": {
        "i18nlint/rule-name": 2
    }
}

Supported Rules

  • i18nlint/chinese-should-be-translated: Enforces translating for Chinese

Package Sidebar

Install

npm i eslint-plugin-i18nlint

Weekly Downloads

2

Version

0.0.3

License

MIT

Unpacked Size

52.8 kB

Total Files

13

Last publish

Collaborators

  • f4ye